Skip to navigation

Get details of a specific Kubernetes cluster

Returns cluster details. Set details=true to include node instances and attached storage volumes.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the Kubernetes cluster

Query parameters

detailsbooleanOptional
Include node instances and storage volumes in the response

Response

Kubernetes cluster details
idstringformat: "uuid"
Unique identifier for the cluster.
namestring

Human-readable name for the cluster.

regionstring
Region the cluster is deployed in.
statusstring
Current lifecycle state of the cluster.
kubernetesVersionstring
Kubernetes version the cluster is running.
createdAtdatetime
When the cluster was created.
packagestring

Package label describing the per-node CPU/memory/disk preset.

descriptionstring
Description of the cluster.
nodePoolobject

Node-pool configuration for the cluster.

ipAddressstringOptionalformat: "ipv4"
Public IP address attached to the cluster.
ipAddressIdstringOptionalformat: "uuid"
Identifier of the public IP attached to the cluster.
deletedAtdatetimeOptional
When the cluster was deleted. Omitted if the cluster still exists.
nodeslist of objectsOptional

Cluster nodes. Only included when details=true.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error